Loading...
Searching...
No Matches
janus_recordplay_recording Struct Reference
Collaboration diagram for janus_recordplay_recording:
[legend]

## Data Fields

guint64 | id
gboolean | is_private
char * | name
char * | date
char * | arc_file
janus_audiocodec | acodec
char * | afmtp
int | audio_pt
int | opusred_pt
char * | vrc_file
janus_videocodec | vcodec
char * | vfmtp
int | video_pt
guint8 | audiolevel_ext_id
guint8 | videoorient_ext_id
char * | drc_file
gboolean | textdata
char * | offer
gboolean | e2ee
GList * | viewers
volatile gint | paused
volatile gint | completed
volatile gint | destroyed
janus_refcount | ref
janus_mutex | mutex

## Field Documentation

## acodec

janus_audiocodec janus_recordplay_recording::acodec

## afmtp

char* janus_recordplay_recording::afmtp

## arc_file

char* janus_recordplay_recording::arc_file

## audio_pt

int janus_recordplay_recording::audio_pt

## audiolevel_ext_id

guint8 janus_recordplay_recording::audiolevel_ext_id

## completed

volatile gint janus_recordplay_recording::completed

## date

char* janus_recordplay_recording::date

## destroyed

volatile gint janus_recordplay_recording::destroyed

## drc_file

char* janus_recordplay_recording::drc_file

## e2ee

gboolean janus_recordplay_recording::e2ee

## id

guint64 janus_recordplay_recording::id

## is_private

gboolean janus_recordplay_recording::is_private

## mutex

janus_mutex janus_recordplay_recording::mutex

## name

char* janus_recordplay_recording::name

## offer

char* janus_recordplay_recording::offer

## opusred_pt

int janus_recordplay_recording::opusred_pt

## paused

volatile gint janus_recordplay_recording::paused

## ref

janus_refcount janus_recordplay_recording::ref

## textdata

gboolean janus_recordplay_recording::textdata

## vcodec

janus_videocodec janus_recordplay_recording::vcodec

## vfmtp

char* janus_recordplay_recording::vfmtp

## video_pt

int janus_recordplay_recording::video_pt

## videoorient_ext_id

guint8 janus_recordplay_recording::videoorient_ext_id

## viewers

GList* janus_recordplay_recording::viewers

## vrc_file

char* janus_recordplay_recording::vrc_file

The documentation for this struct was generated from the following file:

- janus_recordplay.c